API authentication controller does not fail gracefully

07/29/2013 09:45 AM - Daniel Lobato Garcia

Status: Closed   

Priority: Low   

Assignee: Ohad Levy   

Category: API   

Target version: 1.4.0   

Difficulty: easy Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

This controller (api/services/api/authorization) gives you the option of using OAuth or http basic. If http basic is used but no

username/password are set, foreman returns a 500 when it tries to authenticate the API request.

Processing by Api::V1::HostsController#show as JSON

Parameters: {"id"=>"host.domain.com", "host"=>{}}

invalid byte sequence in UTF-8 (ArgumentError)

Related issues:

Related to Foreman - Bug #3587: invalid JSON returns 500 server error Closed 11/06/2013

Is duplicate of Foreman - Bug #3025: Supplying no HTTP auth credentials resul... Duplicate 09/04/2013

Associated revisions

Revision b18c3a35 - 11/07/2013 01:44 PM - Ohad Levy

fixes #3587, #2855 - print an error on invalid json vs 500 error

History

#1 - 07/29/2013 02:18 PM - Lukas Zapletal

- Category set to API

- Target version set to 1.3.0

- Difficulty set to easy

#2 - 09/16/2013 12:41 PM - Lukas Zapletal

- Is duplicate of Bug #3025: Supplying no HTTP auth credentials results in server error added

#3 - 09/16/2013 04:57 PM - Dominic Cleal

- Status changed from New to Duplicate

#4 - 11/07/2013 01:20 PM - Dominic Cleal

- Assignee set to Ohad Levy

- Target version changed from 1.3.0 to 1.15.0

- translation missing: en.field_release set to 2

- Description updated

- Status changed from Duplicate to Ready For Testing

Oops, I set both to duplicate.

Ohad's addressed it in https://github.com/theforeman/foreman/pull/1003 so it returns a 401.

#5 - 11/07/2013 01:21 PM - Dominic Cleal

- Related to Bug #3587: invalid JSON returns 500 server error added
https://github.com/theforeman/foreman/pull/1003


#6 - 11/07/2013 02:31 PM - Ohad Levy

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset b18c3a35f7101a4abac2166fafc4d0fd75e283e2.
